from Products.Archetypes.public import *
from Products.PlonePortlets.BasePortlet import Portlet
from Products.PlonePortlets.BasePortlet import PortletSchema
from config import *
from Products.CMFCore.utils import getToolByName
from Acquisition import aq_base, aq_parent 


class ActionsPortlet(Portlet):
    """A portlet for providing contextual actions"""

    schema = PortletSchema
    portal_type     = 'ContextActionsPortlet'
    meta_type       = 'ContextActionsPortlet'
    archetype_name  = 'Contextual actions portlet'
    
    default_template = 'portlet_contentactions_content'

    def _fetchPortletData(self):
        """Gets the content."""
        tool = getToolByName(self, TOOLNAME)
 
        context = self.aq_parent           
        results = tool.getActions(context, templateId=None, categories=None)        


        return results

registerType(ActionsPortlet)