from Interface import Base
from IContextActionManager import IContextActionManager

class IContextActionFolder(IContextActionManager):
    """
    Interface for folders of contextual actions. These are simple containers
    of ContextActions and ContextActionFolders used to simply management of
    ContextActions, which live inside ContextActionBundles. Extends the
    IContextActionManager interface, as that is essentially what a context
    action folder does - organise a hierarchy of action sub-folders and actions. 
    """
    
    pass

