from Interface import Base
from IContextActionManager import IContextActionManager

class IContextActionBundle(IContextActionManager):
    """
    Interface for "bundles" of contextual actions. These are simple containers
    of ContextActions and ContextActionFolders used to simply management of
    ContextActions. Extends the IContextActionManager interface, as that is
    essentially what a context action "bundle" does - manage a hierarchy of
    action folders and actions. 
    """
    
    pass


