from Interface import Base
from IContextHelpManager import IContextHelpManager

class IContextHelpBundle(IContextHelpManager):
    """
    Interface for "bundles" of contextual help pages. These are simple 
    containers of ContextHelpPages and ContextHelpFolders used to simplify 
    management of help pages. Extends the IContextHelpManager interface, as 
    that is essentially what a context help "bundle" does - manage a hierarchy
    of help folders and help pages.
    """
    
    pass


