from Interface import Base
from IContextHelpManager import IContextHelpManager

class IContextHelpFolder(IContextHelpManager):
    """
    Interface for folders of contextual help pages. These are simple containers
    of ContextHelpPages and ContextHelpFolders used to simply management of
    ContextHelpPages, which live inside ContextHelpBundles. Extends the
    IContextHelpManager interface, as that is essentially what a context help 
    folder does - organise a hierarchy of help sub-folders and help pages. 
    """
    
    pass

