from Interface import Base

class IContextHelpPage(Base):
    """
    Interface for contextual help pages. These are indexed in a special 
    catalogue and obtained via a catalogue search which matches help pages to a 
    given context. The interface IContextCriteriaMatcher from the 
    PloneContextActions product defines the matcher part of this catalogue. The 
    interface IContextCriteriaMixin, also from PloneContextActions, defines the 
    objects this catalogue indexes - a class implementing IContextHelp should 
    also implement IContextCriteriaMixin (and derive from the 
    ContextCriteriaMixin class).
    """
    
    pass


